import React from "react";
import SkeletonThemeWrapper from "../../../customization-cornor/skeletonCustomization";
export default (props => {
  let {
    handleSelect,
    incremday,
    userSeeMonth,
    userSeeYear,
    userSeeDay
  } = props;
  let renderProps = {
    onClick: e => handleSelect(incremday, userSeeMonth, userSeeYear, userSeeDay, e)
  };
  let {
    renderComponent,
    ...basicProps
  } = props;
  return /*#__PURE__*/React.createElement(SkeletonThemeWrapper, {
    basicProps: basicProps,
    renderProps: renderProps,
    component: renderComponent
  });
});